=== debian/changelog ===
loki-update (1.0.14-1) unstable; urgency=low

  * Initial release.

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 24 Jan 2026 12:27:50 +0100
