=== debian/control ===
Source: loki-update
Section: contrib/games
Maintainer: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13), libcurl4-openssl-dev | libcurl-dev, libgtk1.2-dev, libglade0-dev, libxml2-dev, libxdelta2-dev
Standards-Version: 4.7.3
Homepage: https://github.com/twolife/loki_update

Package: loki-update
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Loki update tool
 This is a tool written by Loki Software, designed to be used in
 conjunction with their setup and patchkit tools to automatically update
 installed products.
