=== debian/watch ===
Version: 5

Mode: git
Pgpmode: none
Source: https://github.com/twolife/loki_update.git
Matching-Pattern: HEAD
Git-Pretty: 1.0.14+%cd

Component: setupdb
Mode: git
Pgpmode: none
Source: https://github.com/megastep/loki_setupdb.git
Matching-Pattern: HEAD
Compression: xz
Git-Pretty: %cd

Component: patch
Mode: git
Pgpmode: none
Source: https://github.com/icculus/loki_patch.git
Matching-Pattern: HEAD
Compression: xz
Git-Pretty: %cd

Component: uninstall
Mode: git
Pgpmode: none
Source: https://github.com/twolife/loki_uninstall.git
Matching-Pattern: HEAD
Compression: xz
Git-Pretty: %cd
